%define name	wmpinboard
%define ver	0.8.3
%define rel	1

Summary: Window Maker dock applet resembling a miniature pinboard
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: http://www.tu-ilmenau.de/~gomar/stuff/wmpinboard/wmpinboard-%{ver}.tar.gz
BuildRoot: /tmp/%{name}-root
URL: http://www.tu-ilmenau.de/~gomar/stuff/wmpinboard/
Docdir: /usr/doc
Packager: Jochem Wichers Hoeth <wiho@chem.uva.nl>

%description
wmpinboard is a tiny, simple applet designed to be docked to Window
Maker's dock or workspace clip.  It resembles a miniaturized pinboard
which tiny, brightly colored notes can be "pinned" to.  Because the
pinboard is limited to a size of less than 64x64 pixels, the notes of
course can't be read in this view.  That's why each note can on demand
be viewed "full size", allowing for 10x6 (-1) characters to be
displayed.  Additionally, as of v0.8, wmpinboard features drawing
capabilities, allowing for simple, monochrome sketches to be added t
notes.

%prep
%setup -n wmpinboard.app

%build
xmkmf
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m 755 -o 0 -g 0 wmpinboard $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 -o 0 -g 0 wmpb-convert.pl $RPM_BUILD_ROOT/usr/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat << END
If you're upgrading to wmpinboard 0.7+ from an earlier version, 
existing notes will get lost due to some major changes concerning its 
data file format.  You can avoid this by running the included PERL 
script as the user in question beforehand:

  wmpb-convert.pl

Please read the ChangeLog as well as the modified sections of the README
file, since v0.8 features quite a few changes in interactive behavior.
END

%files
/usr/X11R6/bin/wmpinboard
/usr/X11R6/bin/wmpb-convert.pl
%doc CREDITS ChangeLog FAQ INSTALL LICENSE README ReleaseNotes TODO

%changelog
* Mon Apr 19 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- update to wmpinboard version 0.8.3
* Thu Feb 25 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- update to wmpinboard version 0.8.1
* Mon Jan 11 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- update to wmpinboard version 0.7
* Mon Jan 04 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- first build
